Package net.sourceforge.jiu.color

# Interface YCbCrIndex

All Known Implementing Classes:
  `PCDCodec`, `PCDYCbCrConversion`

public interface YCbCrIndex
This interface simply provides three integer constants as index values for the three channels of an YCbCr image: gray, blue chrominance and red chrominance. The three values are guaranteed to lie in the interval 0 to 2. Furthermore, all three values are different from each other, so that the complete interval from 0 to 2 is used.

Author:
  Marco Schmidt
See Also:
  - `RGBIndex`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`INDEX_CB`
Index value for the blue chrominance component.
`static final int`
`INDEX_CR`
Index value for the red chrominance component.
`static final int`
`INDEX_Y`
Index value for the luminance (gray) component.

## Field Details

### INDEX_Y

static final int INDEX_Y
Index value for the luminance (gray) component.

See Also:
  - Constant Field Values

### INDEX_CB

static final int INDEX_CB
Index value for the blue chrominance component.

See Also:
  - Constant Field Values

### INDEX_CR

static final int INDEX_CR
Index value for the red chrominance component.

See Also:
  - Constant Field Values